/**
 * WEBLAB: Service oriented integration platform for media mining and intelligence applications
 * 
 * Copyright (C) 2004 - 2012 Cassidian, an EADS company
 * 
 * This library is free software; you can redistribute it and/or modify it under the terms of
 * the GNU Lesser General Public License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this
 * library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301 USA
 * 
 */
package org.ow2.weblab.core.services.dataoperator;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.ow2.weblab.core.services.dataoperator package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DropArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "dropArgs");
    private final static QName _ReportReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "reportReturn");
    private final static QName _DropReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "dropReturn");
    private final static QName _DeleteArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "deleteArgs");
    private final static QName _DeleteReturn_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "deleteReturn");
    private final static QName _ReportArgs_QNAME = new QName("http://weblab.ow2.org/core/1.2/services/dataoperator", "reportArgs");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.ow2.weblab.core.services.dataoperator
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DropArgs }
     * 
     */
    public DropArgs createDropArgs() {
        return new DropArgs();
    }

    /**
     * Create an instance of {@link DropReturn }
     * 
     */
    public DropReturn createDropReturn() {
        return new DropReturn();
    }

    /**
     * Create an instance of {@link ReportReturn }
     * 
     */
    public ReportReturn createReportReturn() {
        return new ReportReturn();
    }

    /**
     * Create an instance of {@link DeleteArgs }
     * 
     */
    public DeleteArgs createDeleteArgs() {
        return new DeleteArgs();
    }

    /**
     * Create an instance of {@link ReportArgs }
     * 
     */
    public ReportArgs createReportArgs() {
        return new ReportArgs();
    }

    /**
     * Create an instance of {@link DeleteReturn }
     * 
     */
    public DeleteReturn createDeleteReturn() {
        return new DeleteReturn();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DropArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "dropArgs")
    public JAXBElement<DropArgs> createDropArgs(DropArgs value) {
        return new JAXBElement<DropArgs>(_DropArgs_QNAME, DropArgs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReportReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "reportReturn")
    public JAXBElement<ReportReturn> createReportReturn(ReportReturn value) {
        return new JAXBElement<ReportReturn>(_ReportReturn_QNAME, ReportReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DropReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "dropReturn")
    public JAXBElement<DropReturn> createDropReturn(DropReturn value) {
        return new JAXBElement<DropReturn>(_DropReturn_QNAME, DropReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "deleteArgs")
    public JAXBElement<DeleteArgs> createDeleteArgs(DeleteArgs value) {
        return new JAXBElement<DeleteArgs>(_DeleteArgs_QNAME, DeleteArgs.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DeleteReturn }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "deleteReturn")
    public JAXBElement<DeleteReturn> createDeleteReturn(DeleteReturn value) {
        return new JAXBElement<DeleteReturn>(_DeleteReturn_QNAME, DeleteReturn.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReportArgs }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://weblab.ow2.org/core/1.2/services/dataoperator", name = "reportArgs")
    public JAXBElement<ReportArgs> createReportArgs(ReportArgs value) {
        return new JAXBElement<ReportArgs>(_ReportArgs_QNAME, ReportArgs.class, null, value);
    }

}
